Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.query
Class ResultObject.MetaData

    java.lang.Object
      com.sun.mdm.index.query.ResultObject.MetaData

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  ResultObject

public class ResultObject.MetaData
extends java.lang.Object
implements java.io.Serializable

Meta data

See Also:
  Serialized Form

Method Summary
`void` | `addFieldName(java.lang.String s)` Adds a feature to the FieldName attribute of the MetaData object
`void` | `addMapping(java.lang.String type, java.util.Collection fieldNames)` add mapping for list of fields per object type
`java.util.Collection` | `getFieldNames()` Get field names
`java.util.Collection` | `getMapping(java.lang.String type)` Get mapping
`java.util.Collection` | `getTypes()` Get types
`java.lang.String` | `toString()` String representation

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### addFieldName

    public void addFieldName(java.lang.String s)

  Adds a feature to the FieldName attribute of the MetaData object

  Parameters:
    `s` - The feature to be added to the FieldName attribute

### addMapping

    public void addMapping(java.lang.String type,
                           java.util.Collection fieldNames)

  add mapping for list of fields per object type

  Parameters:
    `type` - type
    `fieldNames` - field names

### getFieldNames

    public java.util.Collection getFieldNames()

  Get field names

  Returns:
    a list of field names in the MatchObject

### getMapping

    public java.util.Collection getMapping(java.lang.String type)

  Get mapping

  Parameters:
    `type` - type
  Returns:
    mapping

### getTypes

    public java.util.Collection getTypes()

  Get types

  Returns:
    types

### toString

    public java.lang.String toString()

  String representation

  Returns:
    string representation

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.